package main

import (
	"fmt"
	"os"

	"git.buddy.wtf/buddy/open-hardware-monitor-client/lib/app"
)

func main() {
	a := app.New()
	handleErr(a.Run(os.Args))
}

func handleErr(err error) {
	if err == nil {
		return
	}
	fmt.Fprintf(os.Stderr, "%s\n", err)
	os.Exit(1)
}
